#!/usr/bin/env python
import os
import re

try:
    from setuptools import setup, Extension
except ImportError:
    from distutils.core import setup, Extension


if os.path.isfile("MANIFEST"):
    os.unlink("MANIFEST")


version = re.search('__version__ = "([^"]+)"',
                    open("nicefloat.py").read()).group(1)


setup(name="python-nicefloat",
      version = version,
      description = "Algorithm to pretty-print binary floating-point numbers",
      author = "Gustavo Niemeyer",
      author_email = "gustavo@niemeyer.net",
      url = "http://labix.org/python-nicefloat",
      license = "LGPL",
      long_description =
"""\
Python implementation of the algorithm to print floating points
described in the paper by Robert G. Burger and R. Kent Dybvig,
entitled:

   "Printing Floating-Point Numbers Quickly and Accurately"
""",
      py_modules = ["nicefloat"]
      )
